/**
 * just a simple utility file to make filewriting easier
 */
package core;

import java.io.File;
import java.io.FileWriter;
import java.io.BufferedWriter;


/**
 *  	
 */


public class FileIO {
	private File out;
	BufferedWriter bw;
	FileWriter fw;
	String text;
	
	/**
	 * 
	 * @param outputFile	Where to write the File (absolut or relative)
	 * @param text			text to write
	 */
	public FileIO(File outputFile, String text) {
		out = outputFile;
		this.text = text;
		init();
	}
	
	private void init(){
		try {
		    fw = new FileWriter(out); 
		    // Den FileWriter in einem BufferedWriter verpacken. 
		    bw = new BufferedWriter(fw);
		} catch (Exception e){
			e.printStackTrace();
		}
	}
	
	/**
	 * writes the file and flush it
	 * @exception 	file exceptions will be flushed to stdOut
	 */
	public void write(){
		try {
			bw.write(text);
			bw.close();
		} catch (Exception e){
			e.printStackTrace();
		}
	}
	
	

}
