/**
 * 
 */
package objects;

/**
 * 
 * This package Adds the possibility to rotate Objects
 * 
 * This class havent been used in the development yet. 
 * In a further step this class should be used more often.
 * 
 * A possible next step would be "translations" based on the classes which calles recursive
 * the upper class.
 * 
 */
public class RotObject3D extends Object3D {

	/**
	 * Buildes a basic Object.
	 * Rotation wount be set by this parameters
	 * 
	 * @param x		x position in 3D space
	 * @param y		y position in 3D space
	 * @param z		y position in 3D space
	 * @see objects.Object3D
	 */
	public RotObject3D(double x, double y, double z) {
		super(x, y, z);
	
	}

	
	public RotObject3D(double x, double y, double z, double rotx, double roty,
			double rotz) {
		super(x, y, z);
		this.rotx = rotx;
		this.roty = roty;
		this.rotz = rotz;
	}
	
	public RotObject3D(){
		super();
		rotx=0;
		roty=0;
		rotz=0;
	}
	
	
	
	protected double rotx;

	/**
	 * 
	 * @param value	Rotation around the X axis
	 */
	public void setRotx(double value) {
		this.rotx = value;
	}

	/**
	 * 
	 * @return	Rotation around the X axis
	 */
	public double getRotx() {
		return this.rotx;
	}

	protected double roty;
	/**
	 * 
	 * @param value	Rotation around the Y axis
	 */
	public void setRoty(double value) {
		this.roty = value;
	}
	/**
	 * 
	 * @return	Rotation around the y axis
	 */
	public double getRoty() {
		return this.roty;
	}

	protected double rotz;
	
	/**
	 * 
	 * @param value	Rotation around the Z axis
	 */
	public void setRotz(double value) {
		this.rotz = value;
	}
	/**
	 * 
	 * @return	Rotation around the z axis
	 */
	public double getRotz() {
		return this.rotz;
	}

	
	/**
	 * @return Valid XML / SML String representates the position in 3D space include rotation (if set)
	 * @see objects.Object3D#XMLAttribute()
	 */
	public String XMLAttribute(){
		if (rotx != 0 || roty != 0 || rotz != 0)
			return super.XMLAttribute() + " rot=\""+rotx+";"+roty+";"+rotz+"\"";
		else 
			return super.XMLAttribute();
	}

}
